Unassign a Device from Element Manager to Stop FCAPS Management

delete

/rest/{versionId}/configuration/devices/{deviceId}

Use this (DELETE) method to unassign a device from being managed by Session Element Manager. Device status and health statistics are stopped, device provisioning is disabled, and any alarms originating from a device are not processed by the fault management system.

Request

Path Parameters
Back to Top

Response

204 Response

removed device from config manager successfully.

400 Response

The user input is invalid.

401 Response

The user is unauthorized.

403 Response

The user does not have permission for the attempted action.

404 Response

The object (resource URI, device Id) of your input request cannot be found.

409 Response

The device is not manageable. It cannot be associated/disassociated with configuration manager.

500 Response

An internal server error has occurred while processing the request.
Back to Top

Examples

Examples of Accessing the API

See Authenticate page to acquire a token.

The following example shows how to use curl to unassign a Device from Element Manager to Stop FCAPS Management.

curl -X DELETE \
    -H @auth_header.txt \
    "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/configuration/devices/<deviceId>"

The following example shows how to use Python to unassign a Device from Element Manager to Stop FCAPS Management.

import requests
headers = { "Authorization": "Bearer <auth-token>" }
url  = "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/configuration/devices/<deviceId>"
resp = requests.delete(url, headers=headers)

Note:

Use the Get a List of Devices Associated with Config Manager API to find the deviceId parameter.

Example of the Response Body

This endpoint does not return a response body.

Back to Top